Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
serial::AnalogModem::CallEndedEvent Struct Reference

An event that's emitted when a dial-in call was hung up. More...

Inheritance diagram for serial::AnalogModem::CallEndedEvent:

## Public Attributes
boolean | disconnectedRemotely
| If true, the call was disconnected by the caller If false, the call was disconnected locally, e.g. More...
Public Attributes inherited from serial::AnalogModem::DialInEvent
string | number
| The caller's phone number.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

An event that's emitted when a dial-in call was hung up.

## Member Data Documentation

## ◆ disconnectedRemotely

boolean serial::AnalogModem::CallEndedEvent::disconnectedRemotely

If true, the call was disconnected by the caller If false, the call was disconnected locally, e.g.

due to a connection failure

The documentation for this struct was generated from the following file:

- AnalogModem.idl